> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop a workspace



## OpenAPI

````yaml api-reference/openapi.v1.json POST /workspaces/{workspaceID}/stop
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /workspaces/{workspaceID}/stop:
    post:
      tags:
        - workspaces
      summary: Stop a workspace
      operationId: stopWorkspace
      parameters:
        - in: path
          name: workspaceID
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '202':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  display_state:
                    enum:
                      - deleted
                      - idle
                      - starting
                      - stopping
                      - suspending
                      - destroying
                      - ready
                      - preparing
                      - error
                      - stopped
                      - suspended
                    type: string
                  operation:
                    $ref: '#/components/schemas/WorkspaceOperationSummary'
                required:
                  - display_state
                type: object
          description: Accepted
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    WorkspaceOperationSummary:
      additionalProperties: false
      properties:
        completed_at:
          minLength: 1
          type: string
        created_at:
          minLength: 1
          type: string
        error_message:
          minLength: 1
          type: string
        id:
          format: uuid
          type: string
        status:
          enum:
            - queued
            - running
            - reconciling
            - succeeded
            - failed
            - cancelled
          type: string
        type:
          enum:
            - create
            - start
            - suspend
            - stop
            - destroy
            - recover
          type: string
        updated_at:
          minLength: 1
          type: string
      required:
        - id
        - type
        - status
        - created_at
        - updated_at
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````